dubbo:
  application:
    name: user-service
    qos-enable: true
    qos-port: 16102
    qos-accept-foreign-ip: false
  scan:
    base-packages: cn.reghao.tnb.user.app.rpc
  protocol:
    name: dubbo
    port: 6102
server:
  port: 6002
  tomcat:
    max-http-form-post-size: 4MB
spring:
  application:
    name: user-service
  profiles:
    active: @profile.active@
  mvc:
    pathmatch:
      matching-strategy: ant_path_matcher
  datasource:
    driver-class-name: com.mysql.cj.jdbc.Driver
    type: com.zaxxer.hikari.HikariDataSource
    hikari:
      minimum-idle: 5
      maximum-pool-size: 10
      auto-commit: true
      idle-timeout: 30000
      pool-name: EvaluationHikariCP
      max-lifetime: 1800000
      connection-timeout: 30000
      connection-test-query: SELECT 1
mybatis:
  configuration:
    map-underscore-to-camel-case: true
  mapper-locations: classpath*:mapper/**/**.xml
  type-aliases-package: cn.reghao.tnb.user.app.model.po
eureka:
  instance:
    prefer-ip-address: true
  client:
    register-with-eureka: true
    fetch-registry: true